#!/bin/bash
## Το NoTails.. Tails Μενού στα Ελληνικά είναι ένα αρθρωτό (modular) Zenity
## σενάριο (script) ανοιχτού κώδικα (open source) για το Tails OS Live USB.
##
## Copyright (C) 2025  Rebelstreamers, version 1.0 από το gamelink.gr
##
## Το πρόγραμμα αυτό μεταφέρεται σε εσάς "AS IS" και χωρίς καμία υποχρέωση από 
## τον δημιουργό του και καλύπτεται απο την AGPLv3 GNU άδεια έκδοσης.

# set -x

# Αρχικοποίηση του NoTails..Tails script.στα Ελληνικά.
folder_name="NoTails..Tails-Files"
title6="6.Οθόνη Wireshark"
echo -e '\033]2;'$title6'\007'


is_installed="$(command -v wireshark)"

# Χρώματα για τις οθόνες των τερματικών, 
# Με true έχετε τα χρώματα που έχω βάλει εγώ, με ble τα κάνετε όλα μπλε, με gre 
# όλα πράσινα, με yel όλα κίτρινα, με red όλα κόκκινα και με οτιδήποτε εκτός από 
# αυτές τις 5 ονομασίες δεν θα εμφανίζονται καθόλου χρώματα!
# Σημείωση: οι μεταβλητές του κάθε script ορίζουν τα χρώματα στο script του & μόνο
use_color="true"
NC='\033[0m'

# Βάλτε το δικό σας χρώμα αν θέλετε σαν ένα νέο elif αλλά αλλάξτε και την use_color
if [[ "$use_color" == "true" ]]; then 
    RED='\033[1;31m'; GRE='\033[1;32m'; YEL='\033[1;33m'; BLE='\033[1;36m'
elif [[ "$use_color" == "ble" ]]; then 
    RED='\033[1;36m'; GRE='\033[1;36m'; YEL='\033[1;36m'; BLE='\033[1;36m'
elif [[ "$use_color" == "gre" ]]; then
    RED='\033[1;32m'; GRE='\033[1;32m'; YEL='\033[1;32m'; BLE='\033[1;32m'
elif [[ "$use_color" == "yel" ]]; then
    RED='\033[1;33m'; GRE='\033[1;33m'; YEL='\033[1;33m'; BLE='\033[1;33m'
elif [[ "$use_color" == "red" ]]; then
    RED='\033[1;31m'; GRE='\033[1;31m'; YEL='\033[1;31m'; BLE='\033[1;31m'
else
    #χωρίς χρώματα καθόλου
    unset -v RED; unset -v GRE; unset -v YEL; unset -v BLE; unset -v NC
fi

# Οι κοινές συναρτήσεις για όλα τα σενάρια είναι στο NT_Functions.sh
source "$HOME/Persistent/$folder_name/NT_Functions.sh"


# Έλεγχος για ύπαρξη του zenity. Χωρίς zenity που χρησιμοποεί το Tails OS δεν 
# έχει καμιά απολύτως χρησιμότητα το σενάριο αυτό. 
check_zenity_exists

# αν το λειτουργικό δεν είναι Debian Like πρέπει να προειδοποιήσουμε τους χρήστες
# οτι οι εντολές εγκατάστασεις δεν θα λειτουργήσουν
detect_Tails_OS_Linux_Desktop



# To login μας είτε ως μόνο του είτε από το κύριο σενάριο
if [ "$1" == "" ]; then
    echo -e "\r\n Θα χρειαστεί να γράψετε μια φορά το$BLE admin password$NC ως$GRE Sudo Pass$NC \n"
    sudo_passs
else
    adminz="$1"
    read -s -p " To script χρησιμοποιεί το admin password που έχετε ήδη βάλει " \
    adminpassword <<< $adminz;  
fi


clear



if [ ! "$is_installed" == "" ]; then
    sudo -S <<< "$adminpassword" /usr/bin/wireshark
else
    if [ "$linux_type" == "Tails OS" ] ||  [ "$linux_type" == "Debian like Linux" ]; then
        echo -e "\r\nΤο wireshark λείπει, το εγκαθιστώ τώρα ...\n"
        sudo -S <<< "$adminpassword" DEBIAN_FRONTEND=noninteractive apt -yq install wireshark
    else 
        echo -e "\r\nΔεν υπάρχει το$BLE Wireshark$NC στο συστημα σας και ...\n"
        echo -e "\r\nΕπειδή σε κάθε σύστημα είναι και διαφορετικός ο τρόπος "
        echo -e "\r\nεγκακταστασής του αλλά και πολύπλοκος εγκαταστήστε το πρώτα"
        echo -e "\r\nκαι ξανατρέξτε το script αν θέλετε να το χρησιμοποιήσετε "
        zenity --info --title="To Wireshark λείπει ..." \
        --no-wrap \
        --text="                                  \n
        Δεν υπάρχει το  Wireshark  στο συστημα σας και ... \n
        Επειδή σε κάθε σύστημα είναι και διαφορετικός ο τρόπος 
        εγκακταστασής του αλλά και πολύπλοκος εγκαταστήστε το πρώτα 
        και ξανατρέξτε το script αν θέλετε να το χρησιμοποιήσετε "
        export -f anamoni_ektelesis
        anamoni_ektelesis "5"
        exit
    fi
    sleep 3
    sudo -S <<< "$adminpassword" /usr/bin/wireshark
fi
